## org.apache.hadoop.mapreduce.lib.db
Class IntegerSplitter

    java.lang.Object
      org.apache.hadoop.mapreduce.lib.db.IntegerSplitter

All Implemented Interfaces:
  DBSplitter

Direct Known Subclasses:
  DateSplitter

    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class IntegerSplitter

extends Object
implements DBSplitter

Implement DBSplitter over integer values.

Constructor Summary
`IntegerSplitter()`

Method Summary
`List<InputSplit>` `split(Configuration conf, ResultSet results, String colName)` Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerSplitter

    public IntegerSplitter()

Method Detail

### split

    public List<InputSplit> split(Configuration conf,
                                  ResultSet results,
                                  String colName)
                           throws SQLException

  Description copied from interface: `DBSplitter`
  Given a ResultSet containing one record (and already advanced to that record) with two columns (a low value, and a high value, both of the same type), determine a set of splits that span the given values.

  Specified by:
    `split` in interface `DBSplitter`
  Throws:
    `SQLException`

Copyright © 2009 The Apache Software Foundation